%?mingw_package_header

Name:           mingw-SDL_mixer
Version:        1.2.11
Release:        8%{?dist}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.libsdl.org/projects/SDL_mixer/
Source0:        http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-SDL

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-SDL


%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Win32
%package -n mingw32-SDL_mixer
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library
Requires:       pkgconfig

%description -n mingw32-SDL_mixer
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

# Win64
%package -n mingw64-SDL_mixer
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library
Requires:       pkgconfig

%description -n mingw64-SDL_mixer
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Automatically create a debuginfo package
%?mingw_debug_package


%prep
%setup -q -n SDL_mixer-%{version}


%build
%mingw_configure \
    --disable-dependency-tracking \
    --enable-music-mod \
    --disable-music-flac \
    --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' build_win32/libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' build_win64/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' build_win32/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' build_win64/libtool

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# silence rpmlint:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGES > CHANGES.new && \
touch -r CHANGES CHANGES.new && \
mv CHANGES.new CHANGES

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-SDL_mixer
%doc README CHANGES COPYING
%{mingw32_bindir}/SDL_mixer.dll
%{mingw32_libdir}/libSDL_mixer.dll.a
%{mingw32_libdir}/pkgconfig/SDL_mixer.pc
%{mingw32_includedir}/SDL

# Win64
%files -n mingw64-SDL_mixer
%doc README CHANGES COPYING
%{mingw64_bindir}/SDL_mixer.dll
%{mingw64_libdir}/libSDL_mixer.dll.a
%{mingw64_libdir}/pkgconfig/SDL_mixer.pc
%{mingw64_includedir}/SDL


%changelog
* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-8
- Added win64 support (contributed by Mikkel Kruse Johnsen)
- Use parallel make

* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-7
- Dropped .la files

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 1.2.11-6
- Renamed the source package to mingw-SDL_mixer (#801027)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.2.11-3
- Rebuilt against win-iconv

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 19 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-1
- Fix debuginfo package generation
- Fix defattr line

* Sat Sep 25 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-0
- New upstream version

* Wed Nov 25 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.8-3
- Remove explicit requires: on mingw32-SDL
- Fix non-utf-8 file encoding
- Autogenerate debuginfo subpackage

* Thu Nov 11 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-2
- use macro global instead of define in this spec file
- description no longer (falsely) claims we have midi and .ogg support

* Thu Jun 18 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-1
- Initial RPM release.
